pkfillnodata(1)

NAME
pkfillnodata - program to fill holes in raster image

SYNOPSIS
pkfillnodata
-i input -m mask -o output [options] [advanced options]

DESCRIPTION
pkfillnodata fills nodata values in a raster dataset. Nodata values are defined as 0 values in the mask raster dataset. You can use the input file as the mask image if 0 values in the input raster have to be filled. Per default, all bands are filled. Use the option \FC-b\F[] to fill individual band(s) in a multiband raster input image.

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    Input raster dataset

\FC-m\F[] mask, \FC--mask\F[] mask
    Mask raster dataset indicating pixels to be interpolated (zero valued)

\FC-o\F[] filename, \FC--output\F[] filename
    Output image file

\FC-b\F[] band, \FC--band\F[] band
    band(s) to process (Default is \FC-1\F[]: process all bands)

\FC-v\F[] level, \FC--verbose\F[] level
    verbose

Advanced options

\FC-d\F[] distance, \FC--distance\F[] distance
    Maximum number of pixels to search in all directions to find values to interpolate from

\FC-it\F[] iterations, \FC--iteration\F[] iterations
    Number of 3x3 smoothing filter passes to run (default 0)